#ifndef DOOR_H
#define DOOR_H

#include "Object.h"
#include "Sprite.h"

class Door : public Object {
public:
	Door(List* info, int x, int y);

	void draw();
	void update(){;}
	void collide( Object* o );
	void load(List *info, bool fromConstructor = true);
	virtual Object *copy();

	void setLock(bool locked) {_locked = locked;}
	void setOpen(bool open);
private:
	Sprite *_openSprite;
	Sprite *_closedSprite;

	bool _open;
	bool _locked;
};

#endif